package com.steering.mes.mcp.entity;
/**
 * 数据库表TQNQD04所对应的实体类（生成工具：代码生成工具1.0.0.0   访问地址：http://172.16.2.128/tool/）
 * @author WIN-3A78MC3TM5F   date 2023-09-27
 */
@SuppressWarnings("serial")
public class BzTqnqd04Entity implements java.io.Serializable {
    /**
     * 记录创建责任者
     */
    private String recCreator = "";
    /**
     * 记录创建时刻
     */
    private String recCreateTime = "";
    /**
     * 记录修改责任者
     */
    private String recRevisor = "";
    /**
     * 记录修改时刻
     */
    private String recReviseTime = "";
    /**
     * 归档标记
     */
    private String archiveFlag = "";
    /**
     * 修改/删除标记
     */
    private String duFlag = "";
    /**
     * 修改/删除责任者
     */
    private String duMaker = "";
    /**
     * 修改/删除时间
     */
    private String duTime = "";
    /**
     * 版次
     */
    private String version = "";
    /**
     * 优先级
     */
    private String serialNum = "";
    /**
     * 策略是否实现
     */
    private String strategryIs = "";
    /**
     * 代码
     */
    private String rpCode = "";
    /**
     * 工艺路径_名称
     */
    private String wholeBacklogName = "";
    /**
     * 工序_名称
     */
    private String wholeBacklog = "";
    /**
     * 备用1
     */
    private String alloyBak1 = "";
    /**
     * 备用2
     */
    private String alloyBak2 = "";
    /**
     * 备用3
     */
    private String alloyBak3 = "";
    /**
     * 备用4
     */
    private String alloyBak4 = "";
    /**
     * 备用5
     */
    private String alloyBak5 = "";
    /**
     * 备用6
     */
    private String alloyBak6 = "";
    /**
     * 备用7
     */
    private String alloyBak7 = "";
    /**
     * 备用8
     */
    private String alloyBak8 = "";
    /**
     * 备用9
     */
    private String alloyBak9 = "";
    /**
     * 备用10
     */
    private String alloyBak10 = "";
    /**
     * 工艺路径步骤
     */
    private String ltemNum = "";
    /**
     * 工序_代码
     */
    private String wholeBacklogCode = "";
    /**
     * 牌号
     */
    private String outSgSign = "";
    /**
     * 标准
     */
    private String outSgStd = "";
    /**
     * 钢种类别
     */
    private String outSteelTypeCode = "";
    /**
     * 炼钢产线
     */
    private String outSmeltCode = "";
    /**
     * 交货状态
     */
    private String hotTreatMethod = "";
    /**
     * 编号
     */
    private String processCode = "";
    /**
     * 冶炼方式
     */
    private String smeltMethod = "";
    /**
     * 原料名称
     */
    private String materialName = "";
    /**
     * 物料编码
     */
    private String materialCode = "";
    /**
     * 不含税金额
     */
    private String unitPrice = "";
    /**
     * 合金重量
     */
    private String alloyWt = "";
    /**
     * 合金单价
     */
    private String alloyPrice = "";
    /**
     * 当前库存价
     */
    private String alloyPriceNow = "";
    /**
     * 次月市场采购价
     */
    private String alloyPriceNext = "";
    /**
     * 当前库存价不含税金额
     */
    private String unitPriceNow = "";
    /**
     * 次月市场采购价不含税金额
     */
    private String unitPriceNext = "";

    /**
     * 记录创建责任者
     * @return value
     */
    public String getRecCreator() {
        return recCreator;
    }

    /**
     * 记录创建责任者
     * @param recCreator value
     */
    public void setRecCreator(String recCreator) {
        this.recCreator = recCreator;
    }

    /**
     * 记录创建时刻
     * @return value
     */
    public String getRecCreateTime() {
        return recCreateTime;
    }

    /**
     * 记录创建时刻
     * @param recCreateTime value
     */
    public void setRecCreateTime(String recCreateTime) {
        this.recCreateTime = recCreateTime;
    }

    /**
     * 记录修改责任者
     * @return value
     */
    public String getRecRevisor() {
        return recRevisor;
    }

    /**
     * 记录修改责任者
     * @param recRevisor value
     */
    public void setRecRevisor(String recRevisor) {
        this.recRevisor = recRevisor;
    }

    /**
     * 记录修改时刻
     * @return value
     */
    public String getRecReviseTime() {
        return recReviseTime;
    }

    /**
     * 记录修改时刻
     * @param recReviseTime value
     */
    public void setRecReviseTime(String recReviseTime) {
        this.recReviseTime = recReviseTime;
    }

    /**
     * 归档标记
     * @return value
     */
    public String getArchiveFlag() {
        return archiveFlag;
    }

    /**
     * 归档标记
     * @param archiveFlag value
     */
    public void setArchiveFlag(String archiveFlag) {
        this.archiveFlag = archiveFlag;
    }

    /**
     * 修改/删除标记
     * @return value
     */
    public String getDuFlag() {
        return duFlag;
    }

    /**
     * 修改/删除标记
     * @param duFlag value
     */
    public void setDuFlag(String duFlag) {
        this.duFlag = duFlag;
    }

    /**
     * 修改/删除责任者
     * @return value
     */
    public String getDuMaker() {
        return duMaker;
    }

    /**
     * 修改/删除责任者
     * @param duMaker value
     */
    public void setDuMaker(String duMaker) {
        this.duMaker = duMaker;
    }

    /**
     * 修改/删除时间
     * @return value
     */
    public String getDuTime() {
        return duTime;
    }

    /**
     * 修改/删除时间
     * @param duTime value
     */
    public void setDuTime(String duTime) {
        this.duTime = duTime;
    }

    /**
     * 版次
     * @return value
     */
    public String getVersion() {
        return version;
    }

    /**
     * 版次
     * @param version value
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * 优先级
     * @return value
     */
    public String getSerialNum() {
        return serialNum;
    }

    /**
     * 优先级
     * @param serialNum value
     */
    public void setSerialNum(String serialNum) {
        this.serialNum = serialNum;
    }

    /**
     * 策略是否实现
     * @return value
     */
    public String getStrategryIs() {
        return strategryIs;
    }

    /**
     * 策略是否实现
     * @param strategryIs value
     */
    public void setStrategryIs(String strategryIs) {
        this.strategryIs = strategryIs;
    }

    /**
     * 代码
     * @return value
     */
    public String getRpCode() {
        return rpCode;
    }

    /**
     * 代码
     * @param rpCode value
     */
    public void setRpCode(String rpCode) {
        this.rpCode = rpCode;
    }

    /**
     * 工艺路径_名称
     * @return value
     */
    public String getWholeBacklogName() {
        return wholeBacklogName;
    }

    /**
     * 工艺路径_名称
     * @param wholeBacklogName value
     */
    public void setWholeBacklogName(String wholeBacklogName) {
        this.wholeBacklogName = wholeBacklogName;
    }

    /**
     * 工序_名称
     * @return value
     */
    public String getWholeBacklog() {
        return wholeBacklog;
    }

    /**
     * 工序_名称
     * @param wholeBacklog value
     */
    public void setWholeBacklog(String wholeBacklog) {
        this.wholeBacklog = wholeBacklog;
    }

    /**
     * 备用1
     * @return value
     */
    public String getAlloyBak1() {
        return alloyBak1;
    }

    /**
     * 备用1
     * @param alloyBak1 value
     */
    public void setAlloyBak1(String alloyBak1) {
        this.alloyBak1 = alloyBak1;
    }

    /**
     * 备用2
     * @return value
     */
    public String getAlloyBak2() {
        return alloyBak2;
    }

    /**
     * 备用2
     * @param alloyBak2 value
     */
    public void setAlloyBak2(String alloyBak2) {
        this.alloyBak2 = alloyBak2;
    }

    /**
     * 备用3
     * @return value
     */
    public String getAlloyBak3() {
        return alloyBak3;
    }

    /**
     * 备用3
     * @param alloyBak3 value
     */
    public void setAlloyBak3(String alloyBak3) {
        this.alloyBak3 = alloyBak3;
    }

    /**
     * 备用4
     * @return value
     */
    public String getAlloyBak4() {
        return alloyBak4;
    }

    /**
     * 备用4
     * @param alloyBak4 value
     */
    public void setAlloyBak4(String alloyBak4) {
        this.alloyBak4 = alloyBak4;
    }

    /**
     * 备用5
     * @return value
     */
    public String getAlloyBak5() {
        return alloyBak5;
    }

    /**
     * 备用5
     * @param alloyBak5 value
     */
    public void setAlloyBak5(String alloyBak5) {
        this.alloyBak5 = alloyBak5;
    }

    /**
     * 备用6
     * @return value
     */
    public String getAlloyBak6() {
        return alloyBak6;
    }

    /**
     * 备用6
     * @param alloyBak6 value
     */
    public void setAlloyBak6(String alloyBak6) {
        this.alloyBak6 = alloyBak6;
    }

    /**
     * 备用7
     * @return value
     */
    public String getAlloyBak7() {
        return alloyBak7;
    }

    /**
     * 备用7
     * @param alloyBak7 value
     */
    public void setAlloyBak7(String alloyBak7) {
        this.alloyBak7 = alloyBak7;
    }

    /**
     * 备用8
     * @return value
     */
    public String getAlloyBak8() {
        return alloyBak8;
    }

    /**
     * 备用8
     * @param alloyBak8 value
     */
    public void setAlloyBak8(String alloyBak8) {
        this.alloyBak8 = alloyBak8;
    }

    /**
     * 备用9
     * @return value
     */
    public String getAlloyBak9() {
        return alloyBak9;
    }

    /**
     * 备用9
     * @param alloyBak9 value
     */
    public void setAlloyBak9(String alloyBak9) {
        this.alloyBak9 = alloyBak9;
    }

    /**
     * 备用10
     * @return value
     */
    public String getAlloyBak10() {
        return alloyBak10;
    }

    /**
     * 备用10
     * @param alloyBak10 value
     */
    public void setAlloyBak10(String alloyBak10) {
        this.alloyBak10 = alloyBak10;
    }

    /**
     * 工艺路径步骤
     * @return value
     */
    public String getLtemNum() {
        return ltemNum;
    }

    /**
     * 工艺路径步骤
     * @param ltemNum value
     */
    public void setLtemNum(String ltemNum) {
        this.ltemNum = ltemNum;
    }

    /**
     * 工序_代码
     * @return value
     */
    public String getWholeBacklogCode() {
        return wholeBacklogCode;
    }

    /**
     * 工序_代码
     * @param wholeBacklogCode value
     */
    public void setWholeBacklogCode(String wholeBacklogCode) {
        this.wholeBacklogCode = wholeBacklogCode;
    }

    /**
     * 牌号
     * @return value
     */
    public String getOutSgSign() {
        return outSgSign;
    }

    /**
     * 牌号
     * @param outSgSign value
     */
    public void setOutSgSign(String outSgSign) {
        this.outSgSign = outSgSign;
    }

    /**
     * 标准
     * @return value
     */
    public String getOutSgStd() {
        return outSgStd;
    }

    /**
     * 标准
     * @param outSgStd value
     */
    public void setOutSgStd(String outSgStd) {
        this.outSgStd = outSgStd;
    }

    /**
     * 钢种类别
     * @return value
     */
    public String getOutSteelTypeCode() {
        return outSteelTypeCode;
    }

    /**
     * 钢种类别
     * @param outSteelTypeCode value
     */
    public void setOutSteelTypeCode(String outSteelTypeCode) {
        this.outSteelTypeCode = outSteelTypeCode;
    }

    /**
     * 炼钢产线
     * @return value
     */
    public String getOutSmeltCode() {
        return outSmeltCode;
    }

    /**
     * 炼钢产线
     * @param outSmeltCode value
     */
    public void setOutSmeltCode(String outSmeltCode) {
        this.outSmeltCode = outSmeltCode;
    }

    /**
     * 交货状态
     * @return value
     */
    public String getHotTreatMethod() {
        return hotTreatMethod;
    }

    /**
     * 交货状态
     * @param hotTreatMethod value
     */
    public void setHotTreatMethod(String hotTreatMethod) {
        this.hotTreatMethod = hotTreatMethod;
    }

    /**
     * 编号
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 编号
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 冶炼方式
     * @return value
     */
    public String getSmeltMethod() {
        return smeltMethod;
    }

    /**
     * 冶炼方式
     * @param smeltMethod value
     */
    public void setSmeltMethod(String smeltMethod) {
        this.smeltMethod = smeltMethod;
    }

    /**
     * 原料名称
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 原料名称
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 物料编码
     * @return value
     */
    public String getMaterialCode() {
        return materialCode;
    }

    /**
     * 物料编码
     * @param materialCode value
     */
    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    /**
     * 不含税金额
     * @return value
     */
    public String getUnitPrice() {
        return unitPrice;
    }

    /**
     * 不含税金额
     * @param unitPrice value
     */
    public void setUnitPrice(String unitPrice) {
        this.unitPrice = unitPrice;
    }

    /**
     * 合金重量
     * @return value
     */
    public String getAlloyWt() {
        return alloyWt;
    }

    /**
     * 合金重量
     * @param alloyWt value
     */
    public void setAlloyWt(String alloyWt) {
        this.alloyWt = alloyWt;
    }

    /**
     * 合金单价
     * @return value
     */
    public String getAlloyPrice() {
        return alloyPrice;
    }

    /**
     * 合金单价
     * @param alloyPrice value
     */
    public void setAlloyPrice(String alloyPrice) {
        this.alloyPrice = alloyPrice;
    }

    /**
     * 当前库存价
     * @return value
     */
    public String getAlloyPriceNow() {
        return alloyPriceNow;
    }

    /**
     * 当前库存价
     * @param alloyPriceNow value
     */
    public void setAlloyPriceNow(String alloyPriceNow) {
        this.alloyPriceNow = alloyPriceNow;
    }

    /**
     * 次月市场采购价
     * @return value
     */
    public String getAlloyPriceNext() {
        return alloyPriceNext;
    }

    /**
     * 次月市场采购价
     * @param alloyPriceNext value
     */
    public void setAlloyPriceNext(String alloyPriceNext) {
        this.alloyPriceNext = alloyPriceNext;
    }

    /**
     * 当前库存价不含税金额
     * @return value
     */
    public String getUnitPriceNow() {
        return unitPriceNow;
    }

    /**
     * 当前库存价不含税金额
     * @param unitPriceNow value
     */
    public void setUnitPriceNow(String unitPriceNow) {
        this.unitPriceNow = unitPriceNow;
    }

    /**
     * 次月市场采购价不含税金额
     * @return value
     */
    public String getUnitPriceNext() {
        return unitPriceNext;
    }

    /**
     * 次月市场采购价不含税金额
     * @param unitPriceNext value
     */
    public void setUnitPriceNext(String unitPriceNext) {
        this.unitPriceNext = unitPriceNext;
    }
}